import 'package:json_annotation/json_annotation.dart';

part '../model_body_request_map_json/body_request_token_connect_model.g.dart';

@JsonSerializable()
class BodyRequestConnect {
  String? grant_type;
  List<String>? scopes;
  String? username;
  String? password;
  String? clientId;
  String? client_secret;

  BodyRequestConnect(
      {this.grant_type,
        this.password,
        this.scopes,
        this.clientId,
        this.username,
        this.client_secret});

  factory BodyRequestConnect.fromJson(Map<String, dynamic> json) =>
      _$BodyRequestConnectFromJson(json);

  Map<String, dynamic> toJson() => _$BodyRequestConnectToJson(this);
}
